Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 783016 - Review Request: pilas - A simple to use video game framework
Summary: Review Request: pilas - A simple to use video game framework
Keywords:
Status: CLOSED DUPLICATE of bug 1185163
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Eduardo Echeverria
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-01-19 04:59 UTC by Andres Pascasio
Modified: 2015-01-23 06:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-23 05:48:09 UTC


Attachments (Terms of Use)

Description Andres Pascasio 2012-01-19 04:59:38 UTC
Spec URL: http://morpheusv.fedorapeople.org/pilas/0.64-1/pilas.spec
SRPM URL: http://morpheusv.fedorapeople.org/pilas/0.64-1/pilas-0.64-1.fc15.src.rpm
Description: Pilas is a game engine to make it easy

Comment 1 Itamar Reis Peixoto 2012-01-19 20:23:14 UTC
license in spec file seems to be wrong.

Comment 2 Itamar Reis Peixoto 2012-01-19 20:23:56 UTC
description in spec file is strange, what are Stack ?

Comment 3 Andres Pascasio 2012-01-23 11:54:44 UTC
I'm sorry, where it says stacks should say "Pilas", which is the name of the project

Comment 4 Andres Pascasio 2012-01-23 12:03:52 UTC
These are the outputs:

$ rpmlint -v SPECS/pilas.spec 
SPECS/pilas.spec: I: checking-url http://pypi.python.org/packages/source/p/pilas/pilas-0.64.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -v SRPMS/pilas-0.64-1.fc15.src.rpm 
pilas.src: I: checking
pilas.src: I: enchant-dictionary-not-found en_US
pilas.src: I: checking-url http://pypi.python.org/pypi/pilas (timeout 10 seconds)
pilas.src: I: checking-url http://pypi.python.org/packages/source/p/pilas/pilas-0.64.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


$ rpmlint -v RPMS/
i686/   noarch/ 
[makerpm@orion rpmbuild]$ rpmlint -v RPMS/noarch/pilas-0.64-1.fc15.noarch.rpm 
pilas.noarch: I: checking
pilas.noarch: I: enchant-dictionary-not-found en_US
pilas.noarch: W: incoherent-version-in-changelog 0.64.1-1 ['0.64-1.fc15', '0.64-1']
pilas.noarch: I: checking-url http://pypi.python.org/pypi/pilas (timeout 10 seconds)
pilas.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/pilas/data/.directory
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/minijuegos/tres_en_raya/__init__.pyc
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/minijuegos/memorice/ejecutar.pyc
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/minijuegos/tres_en_raya/ejecutar.pyc
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/minijuegos/asteroides/escena_menu.pyc
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/minijuegos/memorice/__init__.pyc
pilas.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/pilas-0.64-py2.7.egg-info/requires.txt
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/basicos/__pycache__/test_explosion.cpython-26-PYTEST.pyc
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/minijuegos/asteroides/piedra_espacial.pyc
pilas.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/pilas-0.64-py2.7.egg-info/SOURCES.txt
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/basicos/__pycache__/test_ejes.cpython-26-PYTEST.pyc
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/minijuegos/asteroides/contador_de_vidas.pyc
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/minijuegos/asteroides/__init__.pyc
pilas.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/pilas-0.64-py2.7.egg-info/top_level.txt
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/minijuegos/tres_en_raya/escena_menu.pyc
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/minijuegos/asteroides/escena_juego.pyc
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/minijuegos/asteroides/ejecutar.pyc
pilas.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/pilas-0.64-py2.7.egg-info/dependency_links.txt
pilas.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/pilas/cargador/ejemplos/minijuegos/memorice/escena_menu.pyc
pilas.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/pilas/data/fondos/.directory
pilas.noarch: E: backup-file-in-package /usr/lib/python2.7/site-packages/pilas-0.64-py2.7.egg-info/SOURCES.txt.orig
pilas.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/pilas-0.64-py2.7.egg-info/SOURCES.txt.orig
pilas.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/pilas-0.64-py2.7.egg-info/PKG-INFO
pilas.noarch: W: no-manual-page-for-binary pilas
1 packages and 0 specfiles checked; 7 errors, 18 warnings.

Comment 5 Eduardo Echeverria 2013-03-26 02:42:02 UTC
Morpheus had contacted with me for help him to review this package, however I find that is assigned to Itamar.
You have already been sponsored, or not? if so, Itamar should continue with the review,unless he agrees with me to do it, if not, I can sponsor you.
So we must wait for the response of Itamar.

Morpheus, in the meantime, upstream has released a new revision, please package it

Comment 6 Eduardo Echeverria 2013-03-26 02:50:36 UTC
Ok Morpheus, I saw that you have already been sponsored by Toshio, please talk with Itamar for ask if him want to continue with the review, if not, I take the review

Comment 7 Eduardo Echeverria 2013-05-18 21:51:59 UTC
Any update here?

Comment 8 Eduardo Echeverria 2013-06-21 00:57:46 UTC
@Morpheus, a argentinean colleague wants package this, You're interested still, or I can close this review?

Comment 9 Andres Pascasio 2013-06-21 19:57:50 UTC
I want to continue with the package and I need your help and  guide to finish it.
This week I'll upload the new file spec

Comment 10 Andres Pascasio 2013-07-08 01:19:24 UTC
rpmlint SPECS/pilas.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

but to run $ rpmbuild-ba SPECS / pilas.spec me the following message:

Procesando archivos: pilas-0.80-1.fc17.noarch
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PartialHardlinkSets) <= 4.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: /usr/bin/python python(abi) = 2.7
Comprobando si hay archivos desempaquetados: /usr/lib/rpm/check-files /home/makerpm/rpmbuild/BUILDROOT/pilas-0.80-1.fc17.i386
error: Se encontraron archivos instalados (pero desempaquetados):
   /usr/lib/python2.7/site-packages/lanas/lanas/__init__.py
   /usr/lib/python2.7/site-packages/lanas/lanas/__init__.pyc
   /usr/lib/python2.7/site-packages/lanas/lanas/__init__.pyo
   /usr/lib/python2.7/site-packages/lanas/lanas/autocomplete.py
   /usr/lib/python2.7/site-packages/lanas/lanas/autocomplete.pyc
   /usr/lib/python2.7/site-packages/lanas/lanas/autocomplete.pyo
   /usr/lib/python2.7/site-packages/lanas/lanas/highlighter.py
   /usr/lib/python2.7/site-packages/lanas/lanas/highlighter.pyc
   /usr/lib/python2.7/site-packages/lanas/lanas/highlighter.pyo
   /usr/lib/python2.7/site-packages/lanas/lanas/interprete.py
   /usr/lib/python2.7/site-packages/lanas/lanas/interprete.pyc
   /usr/lib/python2.7/site-packages/lanas/lanas/interprete.pyo
   /usr/lib/python2.7/site-packages/lanas/lanas/lanas.py
   /usr/lib/python2.7/site-packages/lanas/lanas/lanas.pyc
   /usr/lib/python2.7/site-packages/lanas/lanas/lanas.pyo
   /usr/lib/python2.7/site-packages/lanas/lanas/version.py
   /usr/lib/python2.7/site-packages/lanas/lanas/version.pyc
   /usr/lib/python2.7/site-packages/lanas/lanas/version.pyo
   /usr/lib/python2.7/site-packages/lanas/setup.py
   /usr/lib/python2.7/site-packages/lanas/setup.pyc
   /usr/lib/python2.7/site-packages/lanas/setup.pyo
   /usr/lib/python2.7/site-packages/lanas/test.py
   /usr/lib/python2.7/site-packages/lanas/test.pyc
   /usr/lib/python2.7/site-packages/lanas/test.pyo


Errores de construcción RPM:
    Se encontraron archivos instalados (pero desempaquetados):
   /usr/lib/python2.7/site-packages/lanas/lanas/__init__.py
   /usr/lib/python2.7/site-packages/lanas/lanas/__init__.pyc
   /usr/lib/python2.7/site-packages/lanas/lanas/__init__.pyo
   /usr/lib/python2.7/site-packages/lanas/lanas/autocomplete.py
   /usr/lib/python2.7/site-packages/lanas/lanas/autocomplete.pyc
   /usr/lib/python2.7/site-packages/lanas/lanas/autocomplete.pyo
   /usr/lib/python2.7/site-packages/lanas/lanas/highlighter.py
   /usr/lib/python2.7/site-packages/lanas/lanas/highlighter.pyc
   /usr/lib/python2.7/site-packages/lanas/lanas/highlighter.pyo
   /usr/lib/python2.7/site-packages/lanas/lanas/interprete.py
   /usr/lib/python2.7/site-packages/lanas/lanas/interprete.pyc
   /usr/lib/python2.7/site-packages/lanas/lanas/interprete.pyo
   /usr/lib/python2.7/site-packages/lanas/lanas/lanas.py
   /usr/lib/python2.7/site-packages/lanas/lanas/lanas.pyc
   /usr/lib/python2.7/site-packages/lanas/lanas/lanas.pyo
   /usr/lib/python2.7/site-packages/lanas/lanas/version.py
   /usr/lib/python2.7/site-packages/lanas/lanas/version.pyc
   /usr/lib/python2.7/site-packages/lanas/lanas/version.pyo
   /usr/lib/python2.7/site-packages/lanas/setup.py
   /usr/lib/python2.7/site-packages/lanas/setup.pyc
   /usr/lib/python2.7/site-packages/lanas/setup.pyo
   /usr/lib/python2.7/site-packages/lanas/test.py
   /usr/lib/python2.7/site-packages/lanas/test.pyc
   /usr/lib/python2.7/site-packages/lanas/test.pyo


any advice

Comment 11 Michael Schwendt 2013-07-09 09:18:31 UTC
> any advice

In the %install section, files get installed into the %buildroot which are not included in your %files section(s) yet.

Comment 12 Andres Pascasio 2013-07-10 00:42:46 UTC
new SPEC URL: http://morpheusv.fedorapeople.org/pilas/0.80-1/pilas.spec
SRPM URL: http://morpheusv.fedorapeople.org/pilas/0.80-1/pilas-0.80-1.fc17.src.rpm

These are the outputs:

$ rpmlint SPECS/pilas.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.



$ rpmlint RPMS/noarch/pilas-0.80-1.fc17.noarch.rpm 
pilas.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/pilas/escena/__init__.py 0644L /usr/bin/env
pilas.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/pilas/data/asistente/.DS_Store
pilas.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/pilas/ejemplos/ejemplos/.DS_Store
pilas.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/pilas/data/.DS_Store
pilas.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/pilas/ejemplos/ejemplos/interfaz/.DS_Store
pilas.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/lanas/setup.py 0644L /usr/bin/env
pilas.noarch: W: no-manual-page-for-binary pilas
1 packages and 0 specfiles checked; 2 errors, 5 warnings.


$ rpmlint SRPMS/pilas-0.80-1.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 13 Andres Pascasio 2013-09-03 05:25:35 UTC
new SPEC URL: http://morpheusv.fedorapeople.org/pilas/0.80-2/pilas.spec
SRPM URL: http://morpheusv.fedorapeople.org/pilas/0.80-2/pilas-0.80-2.fc17.src.rpm


These are the outputs:

rpmlint SPECS/pilas.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint SRPMS/pilas-0.80-2.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint RPMS/noarch/pilas-0.80-2.fc17.noarch.rpm 
pilas.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/pilas/data/asistente/.DS_Store
pilas.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/pilas/ejemplos/ejemplos/.DS_Store
pilas.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/pilas/data/.DS_Store
pilas.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/pilas/ejemplos/ejemplos/interfaz/.DS_Store
pilas.noarch: W: no-manual-page-for-binary pilas
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Please, give me your opinion or advice for the package to be approved.

Comment 14 Christopher Meng 2013-09-03 05:46:28 UTC
1. I hope you can koji build --scratch rawhide SRPM to test if it can be built on rawhide since you're using f17(EOL) to build this package.

2. And, as far as I can see, Itamar has been busy for a long time, so lifting needinfo again, if still no response here I will help reset the assignee.

3. Are you going to support EL5/6? (This will help me tell your errors in your spec)

4. BuildRequires:  python2-devel,pygame,PyQt4,pybox2d

Requires:       pygame,PyQt4,pybox2d

Please double check "pygame,PyQt4,pybox2d" are needed or not during Building.

ALSO missing BR python-setuptools.

5. I just visited github page and found LGPLv3(se distribuye bajo la licencia LGPLv3.)

6. manualmente en tu equipo con el siguiente comando: nosetests as test, so I think you can enable %check and add BR python-nose to test it. But you've removed them by rm -rf tests, reason?

7. No need to ship PKG-INFO

8. %dir %{python_sitelib}/pilas/
%{python_sitelib}/*

can be

%{python_sitelib}/pilas/

Or replace

%{python_sitelib}/pilas-%{version}-py%{pyver}.egg-info
%dir %{python_sitelib}/pilas/
%{python_sitelib}/*

with 

%{python_sitelib}/*

only.

8. %description is too short, please translate more.

9. %setup -q -n pilas-%{version} can be 

%setup -q as this is the default.

Comment 15 Christopher Meng 2013-09-03 05:49:02 UTC
And, please include your FAS username when you submit requests.

Also, I hope you can add your name to the bugzilla account but not just morpheusv@fedoraproject.org, of course we can know your fasname from your bugzilla name, but I won't.

Who are you? ;)

Comment 16 Andres Pascasio 2013-09-08 13:34:56 UTC
1. I hope you can koji build --scratch rawhide SRPM to test if it can be built on rawhide since you're using f17(EOL) to build this package.

first, I did   system upgrade.
Second, I created my new SRPM URL: http://morpheusv.fedorapeople.org/pilas/0.80-2/pilas-0.80-2.fc18.src.rpm
After  I created my koji build - scratch rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=5910033


2. And, as far as I can see, Itamar has been busy for a long time, so lifting needinfo again, if still no response here I will help reset the assignee.

I agree

3. Are you going to support EL5/6? (This will help me tell your errors in your spec)

This moment, I aren't going to sopport EL5/6.


4. BuildRequires:  python2-devel,pygame,PyQt4,pybox2d

Requires:       pygame,PyQt4,pybox2d

Please double check "pygame,PyQt4,pybox2d" are needed or not during Building.

ALSO missing BR python-setuptools.


 you have reason "pygame, PyQt4, pybox2d" are not necessary  during Building.



A question, to make the changes relating to the points 4 to 9 according comment 14, in the spec file.
do I need to create a new Release?

Comment 17 Christopher Meng 2013-09-08 14:47:39 UTC
(In reply to Andres Pascasio from comment #16)
> 1. I hope you can koji build --scratch rawhide SRPM to test if it can be
> built on rawhide since you're using f17(EOL) to build this package.
> 
> first, I did   system upgrade.
> Second, I created my new SRPM URL:
> http://morpheusv.fedorapeople.org/pilas/0.80-2/pilas-0.80-2.fc18.src.rpm
> After  I created my koji build - scratch rawhide
> http://koji.fedoraproject.org/koji/taskinfo?taskID=5910033

Fine.


> 2. And, as far as I can see, Itamar has been busy for a long time, so
> lifting needinfo again, if still no response here I will help reset the
> assignee.
> 
> I agree

Fine, but I won't take it...


> 3. Are you going to support EL5/6? (This will help me tell your errors in
> your spec)
> 
> This moment, I aren't going to sopport EL5/6.

So you need to remove:

- BuildRoot tag;
- rm -rf %{buildroot} in %install
- Whole %clean section
- %defattr(-,root,root,-)

> A question, to make the changes relating to the points 4 to 9 according
> comment 14, in the spec file.
> do I need to create a new Release?

Well, you can bump the release as you will do many changes to the spec, but it's up to you. Because some people, especially RH people, don't agree with this, they think bumping the release after importing it into SCM is the only needed bump.

Next time if I request needinfo to you I hope you can clear the flag when you reply.

Comment 18 Eduardo Echeverria 2013-09-11 04:05:54 UTC
Please do the changes suggested by @cicku and bump the release number 

I'm in favor of reflect changes in changelogs and bumping the release number each time you make something in the package

please remove .DS_Store files in %prep section; you can do it with this command 

find . -iname "*.Ds_Store" | xargs rm -f

Please Remove bundled egg in %prep section 

Change shebang in these files in order to use the default interpreter installed 

pilas-0.80  ls -la | grep -ri  "/usr/bin/env"
lanas/setup.py:#!/usr/bin/env python
doc/source/pilas_en_pyqt.rst:    #!/usr/bin/env python
pilas/escena/__init__.py:#!/usr/bin/env python
setup.py:#!/usr/bin/env python

you can do it with 
sed -i 's|/usr/bin/env python|/usr/bin/python|g' in these files

seems to there are documentation that can be built in the package via sphinx

Please check the makefile in doc directory of your tarball 

➜  doc  ls
Makefile  refcard  source  themes

Comment 19 Eduardo Echeverria 2013-09-11 06:16:43 UTC
Also pilas is a GUI application, so do you have to create a Desktop entry for the program, I can't see no .desktop file and no icons for the application, Can you ask to upstream?

Comment 20 Andres Pascasio 2013-09-15 15:19:55 UTC
New Spec URL:  http://morpheusv.fedorapeople.org/pilas/0.80-3/pilas.spec
SRPM URL: http://morpheusv.fedorapeople.org/pilas/0.80-3/pilas-0.80-3.fc18.src.rpm

These are the outputs:

rpmlint RPMS/noarch/pilas-0.80-3.fc18.noarch.rpm 
pilas.noarch: W: no-manual-page-for-binary pilas
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint SRPMS/pilas-0.80-3.fc18.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


when I enter the sed command is presented to me the following error:
RPM construction errors:
     The files must start with "/": sed
     The files must start with "/":-i
     The files must start with "/" 's | / usr / bin / env
     The files must start with "/": python | / usr / bin / python | g '

So in this Release not included observation



GUI objects in the "experimental".  people have told me that develop Pilas.
But if necessary, I will to  make file .desktop

Comment 21 Rino Rondan 2013-10-26 05:42:56 UTC
Hi:
Some tips:

1 - %{__python} is deprecated. You should use %{__python2} or %{__python3} as the case. [0] (your case %{__python2})
[0] http://fedoraproject.org/wiki/Packaging:Python#Macros
2- You can separate each Requieres in a new line, just to have it more clean, but in one line work fine too.
3- In Source0 you can use correct macro to replace the name .
4- The chmod command need to be used on %prep with find and xargs in order to change the files that only you need.
5- THe sed expression commented before by echevemaster are ok, you need to put it on %prep for each file that have the pattern to replace.

Like That:

sed -i 's|/usr/bin/env python|/usr/bin/python|g' lanas/setup.py
sed -i 's|/usr/bin/env python|/usr/bin/python|g' pilas/escena/__init__.py
sed -i 's|/usr/bin/env python|/usr/bin/python|g' setup.py
sed -i 's|/usr/bin/env python|/usr/bin/python|g' doc/source/pilas_en_pyqt.rst



And please if you are near C.A.B.A (Buenos Aires), do not forget to visit me brother :) , Mate is ready!

Regards

Comment 22 Eduardo Echeverria 2013-10-28 04:31:39 UTC
I would like know if you want take care of this package, I took the review of this package, because is a software very interesting and very used in my continent, Suramerica. Due to it, I would like see a bit more work in this package or simply let to other can package it

Comment 23 Andres Pascasio 2013-10-29 00:37:55 UTC
Thanks you for the comments Rino Rondan.

New Spec URL:  http://morpheusv.fedorapeople.org/pilas/0.80-4/pilas.spec
SRPM URL: http://morpheusv.fedorapeople.org/pilas/0.80-4/pilas-0.80-4.fc18.src.rpm

These are the outputs:

rpmlint SPECS/pilas.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings

rpmlint RPMS/noarch/pilas-0.80-4.fc18.noarch.rpm 
pilas.noarch: W: no-manual-page-for-binary pilas
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint SRPMS/pilas-0.80-4.fc18.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

After I created my koji build - scratch rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=6109778


I want to support Fedora packager in the area, and what better way to start it than with a software utility as Pilas

Indeed I know of the importance of this package, and that is why I talk to A Ruscitti Hugo, who is the creator of Pilas and the booster of the project and I chosen as my first pack for fedora.

For my part I want to carry this package until the official sources of Fedora, so I appreciate your feedback and comments for my work.

Which help me be a better job and so this package is accepted into the official Fedora repositories.

Comment 24 Christopher Meng 2013-10-29 08:00:49 UTC
@Eduardo, I want to know if we should rename this package to python-pilas, as guideline just changed.

============

@Andres, I think this package doesn't need to be pushed to EPEL, so please remove 

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%{!?python_sitelib: %global python_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python2} -c "import sys ; print sys.version[:3]")}


rm -rf in %install

%clean

------------
And, please translate the original description on pypi from spanish to english. Do not use a simple line to describe it.
------------
%{python_sitelib}-->%{python2_sitelib}
------------
URL:            http://pypi.python.org/pypi/pilas

-->

http://pilas-engine.com.ar/
------------
Missing python-setuptools as BuildRequires.

Comment 25 Michael Schwendt 2013-10-29 09:50:43 UTC
> @Eduardo, I want to know if we should rename this package to
> python-pilas, as guideline just changed.

The requirement to use the "python-" prefix is very old.

"pilas", being a developer framework and not an application (such as Yum or Soundconverter), would never have been an accepted name for a Python module package at Fedora, since the name doesn't start with "py". It's the py/Py prefix exception that has been dropped this year in May.

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28python_modules.29

Comment 26 Christopher Meng 2013-10-29 09:53:20 UTC
(In reply to Michael Schwendt from comment #25)

Fine.

Comment 27 Andres Pascasio 2013-11-01 22:43:21 UTC
In this new version have taken into account the comments (24) and  Christopher Meng observations.
And  .desktop File has been added

I perform the installation with:
rpm -ivp pilas-0.80-5.fc18.noarch.rpm

And then do I uninstall.
And all worked fine


New Spec URL:  http://morpheusv.fedorapeople.org/pilas/0.80-5/pilas.spec
SRPM URL: http://morpheusv.fedorapeople.org/pilas/0.80-5/pilas-0.80-5.fc18.src.rpm

These are the outputs:


rpmlint SPECS/pilas.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint SRPMS/pilas-0.80-5.fc18.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint RPMS/noarch/pilas-0.80-5.fc18.noarch.rpm 
pilas.noarch: W: no-manual-page-for-binary pilas
pilas.noarch: W: desktopfile-without-binary /usr/share/applications/pilas.desktop /usr/bin/pilas
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 28 Christopher Meng 2013-11-02 02:37:16 UTC
I still can see rm -rf and %clean in the spec.

And looking into desktop file, some issues:

---------------------Original---------------------

[Desktop Entry]
Encoding=UTF-8
Name=Pilas Engine
Comment=Motor de Video Juegos
Exec=/usr/bin/pilas
Icon=/usr/share/pixmaps/pilas-icono.png
Terminal=false
Type=Application
Categories=Development;
StartupNotify=true
Name[es_ES]=pilas

---------------------Original---------------------

Issues:

1. Exec=/usr/bin/pilas

-->

Exec=pilas

2. Icon=/usr/share/pixmaps/pilas-icono.png

-->

Icon=pilas-icono

Comment 29 Eduardo Echeverria 2013-11-02 05:56:06 UTC
Hi, Andres:

Please build the package on mock or do a scratch koji build, this package don't build correctly due to missing Builrequires

pybox2d
PyQt4

And again please!! Remove el5 stuff

Best Regards.

Comment 30 Andres Pascasio 2013-11-04 04:31:05 UTC
New Spec URL:  http://morpheusv.fedorapeople.org/pilas/0.80-6/pilas.spec
SRPM URL: http://morpheusv.fedorapeople.org/pilas/0.80-6/pilas-0.80-6.fc18.src.rpm

These are the outputs:

 rpmlint SPECS/pilas.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint SRPMS/pilas-0.80-6.fc18.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint RPMS/noarch/pilas-0.80-6.fc18.noarch.rpm 
pilas.noarch: W: no-manual-page-for-binary pilas
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

After

koji build --scratch rawhide pilas-0.80-6.fc18.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=6134835

Comment 31 Eduardo Echeverria 2013-11-06 05:00:17 UTC
- Icon tag in desktop file don't need extension, please remove.
- Also you're installing desktop file without create any directory with "install" command  or mkdir
- Copy .desktop file in your work directory in %prep section, 
example 

cp -a %{SOURCE1} .

Comment 32 Andres Pascasio 2013-11-09 21:18:26 UTC
(In reply to Eduardo Echeverria from comment #31)
> - Icon tag in desktop file don't need extension, please remove.

 I   removed the extension .

> - Also you're installing desktop file without create any directory with
> "install" command  or mkdir

I created directory with
mkdir -p %{buildroot}%{_datadir}/applications


> - Copy .desktop file in your work directory in %prep section, 
> example 
> 
> cp -a %{SOURCE1} .

I did it


New Spec URL:  http://morpheusv.fedorapeople.org/pilas/0.80-7/pilas.spec
SRPM URL: http://morpheusv.fedorapeople.org/pilas/0.80-7/pilas-0.80-7.fc18.src.rpm

These are the outputs:

 rpmlint SPECS/pilas.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.


Rpmlint
-------
Checking: pilas-0.80-7.fc18.noarch.rpm
          pilas-0.80-7.fc18.src.rpm
pilas.noarch: W: no-manual-page-for-binary pilas
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Task info in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6158313

Comment 33 Andres Pascasio 2014-02-08 04:16:08 UTC
Hello
 I wonder if there is any observation on the package?

Comment 34 Christopher Meng 2014-02-08 04:33:53 UTC
My opinions again:

1. Requires:       pygame,PyQt4,pybox2d

Hmm.. I think for a while, and looking back to the BuildRequires field.

Would you like to sort them like:

Requires:       pygame
Requires:       PyQt4
Requires:       pybox2d

2. Pilas  is an engine for video games quickly and easily. 
It is a tool designed for casual or novice programmers.
who want to start making their first games.

2 space between "Pilas" and "is", please erase one.

3. Hint for this line(not an issue):

find . -iname "*.Ds_Store" | xargs rm -f

-->

find . -iname "*.Ds_Store" -delete

4. Fedora will move to python3 totally from f22, so spec need to be reworked:

sed -i 's|/usr/bin/env python|/usr/bin/python|g'

-->

sed -i 's|/usr/bin/env python|%{__python2}|g'

5. cp -p doc/source/images/pilas-icono.png %{buildroot}%{_datadir}/pixmaps/

Use install with -m644 to ensure the correct perms:

install -pm644 doc/source/images/pilas-icono.png %{buildroot}%{_datadir}/pixmaps/

6. mkdir -p %{buildroot}%{_datadir}/applications

No need to do that IIRC, just use desktop-file-install to finish that.

7. Remove %clean, don't leave anything in the spec even itself.

8. You should add a %check section and BR python-nose to run nosetests pointed out by upstream on their github homepage, con el siguiente comando:

nosetests

Comment 35 Andres Pascasio 2014-03-18 05:06:43 UTC
Here's the new files, I have taken into account the opinion of Christopher Meng


New Spec URL:  http://morpheusv.fedorapeople.org/pilas/0.80-8/pilas.spec
SRPM URL: http://morpheusv.fedorapeople.org/pilas/0.80-8/pilas-0.80-8.fc20.src.rpm  

These are the outputs:

 rpmlint SPECS/pilas.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.


Rpmlint
-------
Checking: pilas-0.80-8.fc20.noarch.rpm
          pilas-0.80-8.fc20.src.rpm
pilas.noarch: W: no-manual-page-for-binary pilas
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


Task info in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6643615

Comment 36 Rino Rondan 2014-05-05 13:00:36 UTC
Hi, I want to help with this package as co-maintainer because im working with Valentin in Icaro Project that he develop this application that use  pilas-engine and he has contact with the developer of pilas-engine, so sometime valentin detect or need new features from the latest pilas-engine version of Fedora.
What do you think about be part of maintainer of this package with you Andres, and what do you think Eduardo.

Regards

Comment 37 Eduardo Echeverria 2014-07-26 08:02:42 UTC
This package have many time of review. Many people has given you advices in your build. I've talked some time ago with you in IRC about the package. Do you think that is already enough time for finishing the review? this is the only stalled review that I have. In the latest FISL in brazil I've talked with one of the developers of this application and him has shown much interest to see this package in Fedora. I wondering if you has seen that your latest build has failed for cause of a unfulfilled BR? Please tell me if you can finish the package or let to other people to do a new review.

Comment 38 Eduardo Echeverria 2015-01-23 05:48:09 UTC
Closed bug according to Guidelines http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 39 Eduardo Echeverria 2015-01-23 06:00:10 UTC

*** This bug has been marked as a duplicate of bug 1185163 ***


Note You need to log in before you can comment on or make changes to this bug.